Go to the latest version of this document.

# ``twisted`.`python`.`filepath`.`UnlistableError``

exception documentation

`class UnlistableError(OSError): (source)`

Constructor: `UnlistableError(originalException)`

View In Hierarchy

An exception which is used to distinguish between errors which mean 'this is not a directory you can list' and other, more catastrophic errors.

This error will try to look as much like the original error as possible, while still being catchable as an independent type.

Method | `__init__` | Create an UnlistableError exception.
Instance Variable | `originalException` | the actual original exception instance.

def __init__(self, originalException: `OSError`): (source)

Create an UnlistableError exception.

Parameters
originalException:`OSError` | an instance of OSError.

originalException = (source)

the actual original exception instance.